Skip to main content

network.habitat.space.getRepo

GET 

/network.habitat.space.getRepo

Download an account's permissioned repo within a space as a STAR file, for full-state recovery. The archive's metadata is the repo's commit; each key/value pair is a record path ('{collection}/{rkey}') and the record's DRISL encoding, in strict lexicographic order of the path. Blobs are not included and are fetched separately via getBlob. Served by a repo host. Callable with either OAuth (for the authenticated user's own data) or a space credential (for syncing services). When called with a space credential, the caller must send an Atproto-Space-Want-Mac header, and the MAC of the archive's commit is returned in the Atproto-Space-Mac response header.

Request​

Responses​

OK